%global pypi_name pytest-memray
%global srcname pytest_memray

Name:		python-%{pypi_name}
Summary:	A simple plugin to use with pytest
Version:	1.5.0
Release:	%mkrel 2
License:	ASL
Group:		Development/Python
Url:		https://pypi.org/project/pytest-memray/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	python3-devel

%description
pytest-memray is a pytest plugin for easy integration of memray.

%package -n python3-%{pypi_name}
Summary:	A simple plugin to use with pytest
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
pytest-memray is a pytest plugin for easy integration of memray.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Mon Mar 03 2025 wally <wally> 1.5.0-2.mga10
+ Revision: 2159867
- rebuild for python3.13

* Sun Jan 21 2024 wally <wally> 1.5.0-1.mga10
+ Revision: 2033336
- imported package python-pytest-memray

